Name:		gtorrentviewer
Version:	0.2b
Release:	33%{?dist}
Summary:	A GTK2-based viewer and editor for BitTorrent meta files
Group:		Applications/Internet
License:	GPL+
URL:		http://gtorrentviewer.sourceforge.net/
Source0:	http://downloads.sf.net/gtorrentviewer/GTorrentViewer-%{version}.tar.gz
Patch0:		gtorrentviewer-0.2b-desktop.patch
Patch1:		gtorrentviewer-0.2b-dso-linking.patch
Patch2:		GTorrentViewer-0.2b-tracker-details-refresh.patch
Patch3:		gtorrentviewer-0.2b-trackerdetails.patch
Patch4:		GTorrentViewer-0.2b-curl-types.patch
Patch5:		GTorrentViewer-0.2b-format.patch
Patch6:		GTorrentViewer-0.2b-missing-tracker.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildRequires:	curl-devel, gtk2-devel >= 2.4, desktop-file-utils, gettext, intltool

Requires(post):	  desktop-file-utils
Requires(postun): desktop-file-utils

%description
GTorrentViewer gives you the ability to see and modify all the possible
information from .torrent files without having to start downloading, and
the ability to see in real time the current number of seeds and peers on
the torrent, so you will always know the status before starting the
download.

%prep
%setup -q -n GTorrentViewer-%{version}

# Let drag and drop work with URIs as well as files (#206262)
# Also drop ".png" suffix from icon filename, as per Icon Theme spec
%patch0

# mainwindow.c requires ceil() from libm (#564928)
%patch1 -p1

# Fix crash due to use of uninitialized GValue (#542502, #572806)
%patch2 -p1

# Improve tracker support (#674726)
%patch3 -p1

# <curl/types.h> went away in curl 7.22.0
%patch4 -p1

# Add missing format strings in g_warning() invocations
%patch5

# Avoid segfault when dealing with torrent that has no tracker (#1178062)
%patch6

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
rm -f %{buildroot}%{_datadir}/GTorrentViewer/README
desktop-file-install \
%if 0%{?fedora} < 19 && 0%{?rhel} < 4
	--vendor fedora \
%else
	--vendor "" \
%endif
	--add-category X-Fedora \
	--delete-original \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/gtorrentviewer.desktop

%clean
rm -rf %{buildroot}

%post
/usr/bin/update-desktop-database &> /dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :

%files
%if 0%{?_licensedir:1}
%license COPYING
%else
%doc COPYING
%endif
%doc AUTHORS ChangeLog README
%{_bindir}/gtorrentviewer
%{_datadir}/GTorrentViewer
%if 0%{?fedora} < 19 && 0%{?rhel} < 4
%{_datadir}/applications/fedora-gtorrentviewer.desktop
%else
%{_datadir}/applications/gtorrentviewer.desktop
%endif
%{_datadir}/pixmaps/gtorrentviewer.png
%{_datadir}/pixmaps/gtorrentviewer.xpm
%{_mandir}/man1/gtorrentviewer.1*

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2b-33
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2b-32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jan 16 2015 Paul Howarth <paul@city-fan.org> - 0.2b-31
- Avoid segfault when dealing with torrent that has no tracker (#1178062)
- Use %%license where possible
- Drop %%defattr, redundant since rpm 4.4

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2b-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2b-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Nov 21 2013 Paul Howarth <paul@city-fan.org> 0.2b-28
- Add missing format strings in g_warning() invocations

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2b-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Feb 12 2013 Paul Howarth <paul@city-fan.org> 0.2b-26
- Drop vendor prefix from desktop file in Fedora 19 onwards and EL builds
- Drop ".png" suffix from icon filename in desktop file, as per Icon Theme spec

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2b-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan  6 2012 Paul Howarth <paul@city-fan.org> 0.2b-24
- Rebuilt for gcc 4.7

* Fri Nov  4 2011 Paul Howarth <paul@city-fan.org> 0.2b-23
- Don't include no-longer-existing <curl/types.h>
- Nobody else likes macros for commands

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2b-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Feb  3 2011 Paul Howarth <paul@city-fan.org> 0.2b-21
- Improve tracker support (#674726)

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> 0.2b-20
- Fix crash when "Refresh" button in "Tracker Details" tab is pressed
  (#542502, #572806)

* Tue Feb 23 2010 Paul Howarth <paul@city-fan.org> 0.2b-19
- Fix FTBFS due to missing -lm linking for ceil function (#564928)
- Try to maintain timestamps of data files

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 0.2b-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 0.2b-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Nov 20 2008 Paul Howarth <paul@city-fan.org> 0.2b-16
- Use downloads.sf.net rather than dl.sf.net for source URL

* Thu Feb 14 2008 Paul Howarth <paul@city-fan.org> 0.2b-15
- Rebuild with gcc 4.3.0 for Fedora 9

* Sun Aug 12 2007 Paul Howarth <paul@city-fan.org> 0.2b-14
- Clarify license as GPL (unspecified/any version)
- Update %%post & %%postun to redirect stderr to the bitbucket
- Update desktop file to spec version 1.0

* Tue Oct 31 2006 Paul Howarth <paul@city-fan.org> 0.2b-13
- rebuild for libcurl.so.4

* Tue Oct  3 2006 Paul Howarth <paul@city-fan.org> 0.2b-12
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 26 2006 Paul Howarth <paul@city-fan.org> 0.2b-11
- drag and drop works with files but not URIs (#206262);
  apply patch from Denis Leroy to fix desktop file accordingly
- escape macros in changelog entries
- use tabs rather than spaces

* Tue Aug 29 2006 Paul Howarth <paul@city-fan.org> 0.2b-10
- rebuild for dynamic linking speedups (FE6)

* Sun May 28 2006 Paul Howarth <paul@city-fan.org> 0.2b-9
- add missing buildreq intltool

* Tue Feb 14 2006 Paul Howarth <paul@city-fan.org> 0.2b-8
- cosmetic tweak: use macros instead of variables
- don't use macros in command paths, hardcode them instead

* Wed Nov  9 2005 Paul Howarth <paul@city-fan.org> 0.2b-7
- rebuild

* Mon Oct 17 2005 Paul Howarth <paul@city-fan.org> 0.2b-6
- rebuild

* Tue May 10 2005 Paul Howarth <paul@city-fan.org> 0.2b-5
- fix URL for SOURCE0 not to point to a specific sf.net mirror
- remove redundant build dependencies
- tidy URL

* Mon May  9 2005 Paul Howarth <paul@city-fan.org> 0.2b-4
- remove hard-coded dist tag, no longer needed
- remove duplicate README file from %%{_datadir}/GTorrentViewer

* Mon May  9 2005 Paul Howarth <paul@city-fan.org> 0.2b-3
- reverted desktop file pathname to relative paths
- run update-desktop-database in post-scripts; add post and
  postun dependencies on desktop-file-utils
- use full URL for SOURCE0
- tidy up description

* Mon May  9 2005 Paul Howarth <paul@city-fan.org> 0.2b-2
- lowercased package name
- removed zero sized NEWS file
- add dist tag to release

* Fri May  6 2005 Paul Howarth <paul@city-fan.org> 0.2b-1
- initial build for Fedora Extras
